Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 4.7.0SynchronousAuth Required

GetHostWebSshUrl

GetHostWebSshUrl

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • uuidStringRequired

      The resource UUID.

    • httpsBoolean

      No description provided.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • urlStringRequired

    The host URL.

  • successStringRequired

    是否成功

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/hosts/webssh

/zstack/v1/hosts/webssh

Operation ID

GetHostWebSshUrl

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/webssh' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"uuid":"<uuid>","https":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "url": "ws://{{ip}}:8888/ws?id\u003d140147795208568" }

Change History

This API has no change history records yet.

View all change history